Subject: Re: [PATCH] Replace perl code with pure shell code

From: [email-masked] (Randal L. Schwartz)
Date: Mon, 29 Jan 2007 03:41:38 -0800

>>>>> "Simon" == Simon 'corecode' Schubert <[email-masked]> writes:

Simon> +			destname="refs/$branch_top/${name#refs/heads/}" ;;

I don't think this is portable shell.  At least Perl is the same everywhere.
Ignore me if this is a shell syntax on something other than bash.

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Perl/Unix/security consulting, Technical writing, Comedy, etc. etc.
See PerlTraining.Stonehenge.com for onsite and open-enrollment Perl training!